| Version: 3.1.5

Classes | Macros | Enumerations | Variables
notebook.h File Reference

## Classes
class | wxNotebook
| This class represents a notebook control, which manages multiple windows with associated tabs. More...

## Macros
#define | wxNB_DEFAULT wxBK_DEFAULT
#define | wxNB_TOP wxBK_TOP
#define | wxNB_BOTTOM wxBK_BOTTOM
#define | wxNB_LEFT wxBK_LEFT
#define | wxNB_RIGHT wxBK_RIGHT
#define | wxNB_FIXEDWIDTH 0x0100
#define | wxNB_MULTILINE 0x0200
#define | wxNB_NOPAGETHEME 0x0400

## Enumerations
enum | { wxNB_HITTEST_NOWHERE = wxBK_HITTEST_NOWHERE , wxNB_HITTEST_ONICON = wxBK_HITTEST_ONICON , wxNB_HITTEST_ONLABEL = wxBK_HITTEST_ONLABEL , wxNB_HITTEST_ONITEM = wxBK_HITTEST_ONITEM , wxNB_HITTEST_ONPAGE = wxBK_HITTEST_ONPAGE }

## Variables
wxEventType | wxEVT_NOTEBOOK_PAGE_CHANGED
wxEventType | wxEVT_NOTEBOOK_PAGE_CHANGING

## Macro Definition Documentation

## ◆ wxNB_BOTTOM

#define wxNB_BOTTOM wxBK_BOTTOM

## ◆ wxNB_DEFAULT

#define wxNB_DEFAULT wxBK_DEFAULT

## ◆ wxNB_FIXEDWIDTH

#define wxNB_FIXEDWIDTH 0x0100

## ◆ wxNB_LEFT

#define wxNB_LEFT wxBK_LEFT

## ◆ wxNB_MULTILINE

#define wxNB_MULTILINE 0x0200

## ◆ wxNB_NOPAGETHEME

#define wxNB_NOPAGETHEME 0x0400

## ◆ wxNB_RIGHT

#define wxNB_RIGHT wxBK_RIGHT

## ◆ wxNB_TOP

#define wxNB_TOP wxBK_TOP

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
wxNB_HITTEST_NOWHERE |
wxNB_HITTEST_ONICON |
wxNB_HITTEST_ONLABEL |
wxNB_HITTEST_ONITEM |
wxNB_HITTEST_ONPAGE |

## Variable Documentation

## ◆ wxEVT_NOTEBOOK_PAGE_CHANGED

wxEventType wxEVT_NOTEBOOK_PAGE_CHANGED

## ◆ wxEVT_NOTEBOOK_PAGE_CHANGING

wxEventType wxEVT_NOTEBOOK_PAGE_CHANGING